Package org.eclipse.pde.ui.templates

# Class NewPluginTemplateWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.pde.ui.templates.AbstractNewPluginTemplateWizard
org.eclipse.pde.ui.templates.NewPluginTemplateWizard

All Implemented Interfaces:
  `IShellProvider`, `IWizard`, `IBasePluginWizard`, `IBundleContentWizard`, `IPluginContentWizard`

public abstract class NewPluginTemplateWizard extends AbstractNewPluginTemplateWizard
This wizard should be used as a base class for wizards that generate plug-in content using a closed set of templates. These wizards are loaded during new plug-in or fragment creation and are used to provide initial content (Java classes, directories/files and extensions).

The list of templates is fixed. It must be known in advance so that the required wizard pages can be created. Upon finish, the template sections are executed in the order of creation.

Since:
  2.0

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`NewPluginTemplateWizard()`
Creates a new template wizard.

## Method Summary

Modifier and Type
Method
Description
`protected final void`
`addAdditionalPages()`
Implemented by asking templates in this wizard to contribute pages.
`abstract ITemplateSection[]`
`createTemplateSections()`
Subclasses are required to implement this method by creating templates that will appear in this wizard.
`final ITemplateSection[]`
`getTemplateSections()`
Returns templates that appear in this section.

### Methods inherited from class org.eclipse.pde.ui.templates.AbstractNewPluginTemplateWizard

`addPages, getData, getDependencies, getImportPackages, getNewFiles, hasPages, init, performFinish, performFinish`

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getMinimumWizardSize, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Constructor Details

### NewPluginTemplateWizard

public NewPluginTemplateWizard()
Creates a new template wizard.

## Method Details

### createTemplateSections

public abstract ITemplateSection[] createTemplateSections()
Subclasses are required to implement this method by creating templates that will appear in this wizard.

Returns:
  an array of template sections that will appear in this wizard.

### getTemplateSections

public final ITemplateSection[] getTemplateSections()
Returns templates that appear in this section.

Specified by:
  `getTemplateSections` in class `AbstractNewPluginTemplateWizard`
Returns:
  an array of templates

### addAdditionalPages

protected final void addAdditionalPages()
Implemented by asking templates in this wizard to contribute pages.

Specified by:
  `addAdditionalPages` in class `AbstractNewPluginTemplateWizard`